Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000990KdenliveEffectspublic2009-06-30 10:002011-04-27 23:49
Reporternowardev 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionunable to reproduce 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version 
Summary0000990: Crash with a lots of video effects
Descriptionthis is the file i used to test kdenlive rev 3698

http://www.filefactory.com/file/ahaa78h/n/DSCI0002_avi [^]

with tecnicolor
with 3d flip

and many others i get :

screencast@screencast-pc:~$ kdenlive
KCrash: Application 'kdenlive' crashing...
Alarm clock


or :

KCrash: Application 'kdenlive' crashing...
sock_file=/home/screencast/.kde/socket-screencast-pc/kdeinit4__0
kdenlive: Fatal IO error: client killed
Unable to start Dr. Konqi


Tagsold
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0003564)
j-b-m (administrator)
2009-06-30 10:47

No crash here. Can you play the file with MLT's command line player:

melt DSCI0002_avi -attach tcolor

(tcolor is the technicolor filter)

Try seeking while playing (press 'h' to go to previous frame, 'l' for next frame, and 'space' to restart playing). Play a little bit with that, does it crash?
(0003567)
nowardev (reporter)
2009-06-30 13:25

no it doesn't crash.

but with kdenlive i get always

kdenlive
KCrash: Application 'kdenlive' crashing...
Alarm clock


could be ffmpeg?
(0003568)
j-b-m (administrator)
2009-06-30 14:05

No, I don't think it's FFmpeg if it plays fine in melt. Which KDE / Qt version do you have? Maybe you could try to clean the kdenlive build and recompile...
(0003570)
nowardev (reporter)
2009-06-30 15:50

Qt: 4.5.0
KDE: 4.2.90 (KDE 4.2.90 (KDE 4.3 Beta2))
Kdenlive: 0.7.4 (rev. 3698)
(0003572)
nowardev (reporter)
2009-07-01 08:56

recompiled today

and with tecnicolor

i get a crash with this signal:

ALSA lib pcm_direct.c:1280:(snd1_pcm_direct_set_timer_params) unable to set timer parameters
(0003591)
nowardev (reporter)
2009-07-03 13:52
edited on: 2009-07-03 13:53

i tried to do what you said jbm:
this for example with avi file and 3d flippo effects

link
http://pastebin.ca/1482936 [^]

or to see directly:

gdb kdenlive
GNU gdb 6.8-debian
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> [^]
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu"...
(no debugging symbols found)
(gdb)
(gdb)
(gdb)
(gdb)
(gdb)
(gdb) run
Starting program: /usr/bin/kdenlive
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
[New Thread 0xb5bb7920 (LWP 11394)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[New Thread 0xaeb8cb90 (LWP 11397)]
[New Thread 0xae38bb90 (LWP 11398)]
[Thread 0xaeb8cb90 (LWP 11397) exited]
[Thread 0xae38bb90 (LWP 11398) exited]
[New Thread 0xae38bb90 (LWP 11399)]
[New Thread 0xaeb8cb90 (LWP 11400)]
[Thread 0xae38bb90 (LWP 11399) exited]
[Thread 0xaeb8cb90 (LWP 11400) exited]
[New Thread 0xaeb8cb90 (LWP 11401)]
[New Thread 0xae38bb90 (LWP 11402)]
[Thread 0xaeb8cb90 (LWP 11401) exited]
[Thread 0xae38bb90 (LWP 11402) exited]
[New Thread 0xae38bb90 (LWP 11403)]
[New Thread 0xaeb8cb90 (LWP 11404)]
[Thread 0xae38bb90 (LWP 11403) exited]
[Thread 0xaeb8cb90 (LWP 11404) exited]
[New Thread 0xaeb8cb90 (LWP 11405)]
[New Thread 0xae38bb90 (LWP 11406)]
(no debugging symbols found)
(no debugging symbols found)
[Thread 0xaeb8cb90 (LWP 11405) exited]
[Thread 0xae38bb90 (LWP 11406) exited]
[New Thread 0xae38bb90 (LWP 11407)]
[New Thread 0xaeb8cb90 (LWP 11408)]
[Thread 0xae38bb90 (LWP 11407) exited]
[Thread 0xaeb8cb90 (LWP 11408) exited]
[New Thread 0xaeb8cb90 (LWP 11409)]
[New Thread 0xae38bb90 (LWP 11410)]
(no debugging symbols found)

Program received signal SIGABRT, Aborted.
[Switching to Thread 0xb5bb7920 (LWP 11394)]
0xb7fbf430 in __kernel_vsyscall ()
(gdb) thread apply all bt

Thread 15 (Thread 0xae38bb90 (LWP 11410)):
#0 0xb7fbf430 in __kernel_vsyscall ()
#1 0xb655f0e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0xb66662ed in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0xb41dfd7c in ?? () from /usr/lib/mlt/libmltsdl.so
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 14 (Thread 0xaeb8cb90 (LWP 11409)):
#0 0xb7fbf430 in __kernel_vsyscall ()
#1 0xb655f412 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0xb6666344 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
0000003 0xb7f9f9f9 in mlt_consumer_get_frame () from /usr/lib/libmlt.so.1
0000004 0xb66d3140 in ?? () from /lib/tls/i686/cmov/libc.so.6
0000005 0xd689000e in ?? ()
Cannot access memory at address 0xe380c385

Thread 1 (Thread 0xb5bb7920 (LWP 11394)):
#0 0xb7fbf430 in __kernel_vsyscall ()
#1 0xb659e6d0 in raise () from /lib/tls/i686/cmov/libc.so.6
0000002 0xb65a0098 in abort () from /lib/tls/i686/cmov/libc.so.6
0000003 0xb65e2633 in ?? () from /lib/tls/i686/cmov/libc.so.6
0000004 0xb65e4555 in free () from /lib/tls/i686/cmov/libc.so.6
0000005 0xb67c4231 in operator delete () from /usr/lib/libstdc++.so.6
0000006 0xb773dea9 in ?? () from /usr/lib/libQtXml.so.4
0000007 0xb773cb40 in ?? () from /usr/lib/libQtXml.so.4
0000008 0xb773deb1 in ?? () from /usr/lib/libQtXml.so.4
0000009 0xb773cb40 in ?? () from /usr/lib/libQtXml.so.4
0000010 0xb773deb1 in ?? () from /usr/lib/libQtXml.so.4
0000011 0xb7735a2a in QDomNode::~QDomNode () from /usr/lib/libQtXml.so.4
0000012 0x08176c92 in _start ()
(gdb)

(0003593)
xzhayon (developer)
2009-07-03 18:00

please, do not paste backtraces in a note, they just make the issue unreadable
also, you have to build kdenlive with debug strings to make the backtrace useful
(0006222)
Granjow (developer)
2010-12-26 10:31

Can you still reproduce this issue?

- Issue History
Date Modified Username Field Change
2009-06-30 10:00 nowardev New Issue
2009-06-30 10:00 nowardev Build/Install Method => Manual build from SVN
2009-06-30 10:47 j-b-m Note Added: 0003564
2009-06-30 10:47 j-b-m Status new => feedback
2009-06-30 13:25 nowardev Note Added: 0003567
2009-06-30 14:05 j-b-m Note Added: 0003568
2009-06-30 15:50 nowardev Note Added: 0003570
2009-07-01 08:56 nowardev Note Added: 0003572
2009-07-03 13:52 nowardev Note Added: 0003591
2009-07-03 13:53 nowardev Note Edited: 0003591 View Revisions
2009-07-03 18:00 xzhayon Note Added: 0003593
2010-12-26 10:31 Granjow Tag Attached: old
2010-12-26 10:31 Granjow Note Added: 0006222
2011-04-27 23:49 ttill Status feedback => resolved
2011-04-27 23:49 ttill Resolution open => unable to reproduce
2011-04-27 23:49 ttill Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker